Autocomplete
Clearout's Autocomplete API is a free API that effectively identifies the corresponding website domains for a given company name, accompanied with the corporate logo and a confidence score
Clearout's Autocomplete API is a free API that effectively identifies the corresponding website domains for a given company name, accompanied with the corporate logo and a confidence score
Query parameters
querystringRequiredExample:
A company name or domain or even the website URL
amazonResponses
200
OK
application/json
400
Bad Request
application/json
429
Too Many Requests
application/json
503
Service Unavailable
application/json
524
Timeout Occurred
application/json
get/public/companies/autocomplete
GET /public/companies/autocomplete?query=amazon HTTP/1.1
Host: api.clearout.io/
Accept: */*
HTTP/1.1 400 Bad Request
{
"status": "failed",
"error": {
"message": "validation failed",
"reasons": [
{
"field": [ "query" ],
"location": "query",
"messages": [ "\"query\" is not allowed to be empty" ],
"types": [ "any.empty" ]
}
]
}
}
Last updated
Was this helpful?

